Bug 445592 - intel_i915_configure BUG->oops->Panic when amount of shared video memory set to 1M on MS-7383
intel_i915_configure BUG->oops->Panic when amount of shared video memory set ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 16:16 EDT by Lubomir Rintel
Modified: 2009-01-25 16:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-25 16:10:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Full dmesg from 2.6.25-14.fc9.i586 (12.49 KB, text/plain)
2008-05-07 16:17 EDT, Lubomir Rintel
no flags Details
Full dmesg from 2.6.18-88.el5 (10.66 KB, text/plain)
2008-05-07 16:18 EDT, Lubomir Rintel
no flags Details
lshal, to help identify the board if needed (95.06 KB, text/plain)
2008-05-07 16:19 EDT, Lubomir Rintel
no flags Details
dmidecode, to help identify the board if needed (8.04 KB, text/plain)
2008-05-07 16:21 EDT, Lubomir Rintel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 12539 None None None Never

  None (edit)
Description Lubomir Rintel 2008-05-07 16:16:27 EDT
Description of problem:

This is from 2.6.25-14.fc9.i586 install kernel, but happens virtually with any I
tried:

Linux agpgart interface v0.103
agpgart: Detected an Intel G33 Chipset.
agpgart: No pre-allocated video memory detected.
BUG: unable to handle kernel paging request at f887fffc
IP: [<c05590bf>] intel_i915_configure+0xcd/0x361
*pde = 37013067 *pte = 00000000
Oops: 0002 [#1] SMP
Modules linked in:

Pid: 1, comm: swapper Not tainted (2.6.25-14.fc9.i586 #1)
EIP: 0060:[<c05590bf>] EFLAGS: 00010287 CPU: 1
EIP is at intel_i915_configure+0xcd/0x361
EAX: f887fffc EBX: 00000000 ECX: fffffffc EDX: 37118001
ESI: c072b1b8 EDI: f8832000 EBP: f7019e98 ESP: f7019e80
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Process swapper (pid: 1, ti=f7019000 task=f7046000 task.ti=f7019000)
Stack: 00000200 f7019e90 d0000008 0114ffff 00000000 f7141c00 f7019eb4 c0553069
       000003fd f7141c00 c06e635a f7141c00 f70b4000 f7019ed8 c0621af5 c06e635a
       00019ed8 00000021 000029c2 c072b164 c072b134 f70b4000 f7019eec c04ffce9
Call Trace:
 [<c0553069>] ? agp_add_bridge+0x166/0x261
 [<c0621af5>] ? agp_intel_probe+0x191/0x1a8
 [<c04ffce9>] ? pci_device_probe+0x39/0x59
 [<c0563602>] ? driver_probe_device+0xa0/0x136
 [<c0563711>] ? __driver_attach+0x79/0xaf
 [<c0562fb0>] ? bus_for_each_dev+0x36/0x5e
 [<c05634a7>] ? driver_attach+0x14/0x16
 [<c0563698>] ? __driver_attach+0x0/0xaf
 [<c0562988>] ? bus_add_driver+0x9d/0x1ba
 [<c0563894>] ? driver_register+0x47/0xa7
 [<c04ffe95>] ? __pci_register_driver+0x35/0x64
 [<c076ed77>] ? agp_intel_init+0x22/0x24
 [<c07502aa>] ? kernel_init+0x1a1/0x2ee
 [<c0405ac6>] ? ret_from_fork+0x6/0x20
 [<c0750109>] ? kernel_init+0x0/0x2ee
 [<c0750109>] ? kernel_init+0x0/0x2ee
 [<c0406e97>] ? kernel_thread_helper+0x7/0x10
 =======================
Code: a5 84 c0 8b 40 04 83 78 14 00 74 32 8b 1d 3c a7 84 c0 8d 0c 9d 00 00 00 00
eb 1e a1 d8 a5 84 c0 43 8b 50 24 a1 34 a7 84 c0 01 c8 <89> 10 a1 34 a7 84 c0 01
c8 83 c1 04 8b 00 3b 5e 04 7c dd e8 47
EIP: [<c05590bf>] intel_i915_configure+0xcd/0x361 SS:ESP 0068:f7019e80
---[ end trace 0c9c91739c325bc2 ]---
Kernel panic - not syncing: Attempted to kill init!

I can only reproduce if I set amount of RAM reserved for video to 1M. Setting to
8M won't trigger the problem.

Version-Release number of selected component (if applicable):

kernel-2.6.25-14.fc9.i586

How reproducible:

Allways

Steps to Reproduce:
1. Set amount of RAM reserved for video to 1M in BIOS setup
2. Launch installation
  
Additional info:

lspci:

00:00.0 Host bridge: Intel Corporation 82G33/G31/P35/P31 Express DRAM Controller
(rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express
Integrated Graphics Controller (rev 02)
00:02.1 Display controller: Intel Corporation 82G33/G31 Express Integrated
Graphics Controller (rev 02)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 01)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3
(rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface
Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller
(rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) SATA IDE
Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI
Express Gigabit Ethernet controller (rev 01)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
03:01.0 RAID bus controller: Silicon Image, Inc. PCI0680 Ultra ATA-133 Host
Controller (rev 02)
03:02.0 Ethernet controller: Intel Corporation 82557/8/9 Ethernet Pro 100 (rev 08)

I'll add longer outputs as attachments.
Comment 1 Lubomir Rintel 2008-05-07 16:17:57 EDT
Created attachment 304805 [details]
Full dmesg from 2.6.25-14.fc9.i586
Comment 2 Lubomir Rintel 2008-05-07 16:18:55 EDT
Created attachment 304806 [details]
Full dmesg from 2.6.18-88.el5
Comment 3 Lubomir Rintel 2008-05-07 16:19:58 EDT
Created attachment 304807 [details]
lshal, to help identify the board if needed
Comment 4 Lubomir Rintel 2008-05-07 16:21:06 EDT
Created attachment 304808 [details]
dmidecode, to help identify the board if needed
Comment 5 Bug Zapper 2008-05-14 06:47:49 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Lubomir Rintel 2008-12-20 11:07:21 EST
Ping.

Is there any point in reporting bugs like this when the reporter gets no feedback at all?
Comment 8 Lubomir Rintel 2009-01-25 16:10:41 EST
Closing this. Reported into upstream bugzilla with a fix, so hopefully it will get more attention there.

Note You need to log in before you can comment on or make changes to this bug.